# Uses of Class
org.apache.lucene.facet.TopOrdAndNumberQueue.OrdAndValue

Packages that use TopOrdAndNumberQueue.OrdAndValue
Package
Description
org.apache.lucene.facet
Faceted search.

- ## Uses of TopOrdAndNumberQueue.OrdAndValue in org.apache.lucene.facet

  Subclasses of TopOrdAndNumberQueue.OrdAndValue in org.apache.lucene.facet
  Modifier and Type
  Class
  Description
  `static final class`
  `TopOrdAndFloatQueue.OrdAndFloat`
  Holds an ordinal and a float value.
  `static final class`
  `TopOrdAndIntQueue.OrdAndInt`
  Holds an ordinal and an int value.
  Methods in org.apache.lucene.facet that return TopOrdAndNumberQueue.OrdAndValue
  Modifier and Type
  Method
  Description
  `TopOrdAndNumberQueue.OrdAndValue`
  TopOrdAndFloatQueue.`newOrdAndValue()`
  `TopOrdAndNumberQueue.OrdAndValue`
  TopOrdAndIntQueue.`newOrdAndValue()`
  `abstract TopOrdAndNumberQueue.OrdAndValue`
  TopOrdAndNumberQueue.`newOrdAndValue()`
  Create a new `TopOrdAndNumberQueue.OrdAndValue` of the appropriate type.
  Methods in org.apache.lucene.facet with parameters of type TopOrdAndNumberQueue.OrdAndValue
  Modifier and Type
  Method
  Description
  `boolean`
  TopOrdAndFloatQueue.OrdAndFloat.`lessThan(TopOrdAndNumberQueue.OrdAndValue other)`
  `boolean`
  TopOrdAndIntQueue.OrdAndInt.`lessThan(TopOrdAndNumberQueue.OrdAndValue other)`
  `boolean`
  TopOrdAndNumberQueue.`lessThan(TopOrdAndNumberQueue.OrdAndValue a, TopOrdAndNumberQueue.OrdAndValue b)`
  `abstract boolean`
  TopOrdAndNumberQueue.OrdAndValue.`lessThan(TopOrdAndNumberQueue.OrdAndValue other)`
  Compare with another `TopOrdAndNumberQueue.OrdAndValue`.